Bug 115526 - Unable to install ccm-config-libs on default RHEL 3 install
Unable to install ccm-config-libs on default RHEL 3 install
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-13 04:48 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-13 04:48:18 EST
Description of problem:
When attempting to install ccm-config-libs, you get an error from RPM:

[root@barnet build]# rpm -Uvh ccm-config-libs-1.2.1-1.noarch.rpm 
error: Failed dependencies:
        lib-junit-3.8.1.so is needed by (installed) ant-libs-1.5.2-23
[root@barnet build]# rpm -ivh ccm-config-libs-1.2.1-1.noarch.rpm 
Preparing...               
########################################### [100%]
        file /usr/share/java/junit-3.8.1.jar from install of
ccm-config-libs-1.2.1-1 conflicts with file from package junit-3.8.1-1
[root@barnet build]# 

CCM should work out of the box with RHEL 3 without requiring manual
removal of standard distribution packages, nor requiring the --force /
--nodeps options.

Thus it seems we remove split up ccm-config-libs to allow the servlet
jars to be installed independant of the junit / httpunit ones.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install a RHEL 3 system
2. Install ccm-config-libs
3.
  
Actual results:
[root@barnet build]# rpm -ivh ccm-config-libs-1.2.1-1.noarch.rpm 
Preparing...               
########################################### [100%]
        file /usr/share/java/junit-3.8.1.jar from install of
ccm-config-libs-1.2.1-1 conflicts with file from package junit-3.8.1-1


Expected results:
[root@barnet build]# rpm -ivh ccm-config-libs-1.2.1-1.noarch.rpm 
Preparing...               
########################################### [100%]
   1:ccm-config-libs       
########################################### [100%]
[root@barnet build]# 


Additional info:
Comment 1 Dennis Gregorovic 2004-03-15 22:44:35 EST
As of 41375, ccm-config-libs has been split up into separate packages,
allowing the installation of the servlet libraries on RHEL 3 without
conflicting with the junit packages.

However, we still cannot install WAF on a stock RHEL 3 box because of
gcj Ant.  I could change the WAF RPM to depend on
/usr/share/java/ant.jar, which is provided by the JPackage Ant RPM,
but not the gcj Ant RPM.  However, users will still need to switch the
Ant RPMs themselves.  
Comment 2 Dennis Gregorovic 2004-03-18 12:40:18 EST
We can build with the gcj-ant package as long as we use the
'classic-ant' command instead of the 'ant' command.  I have modified
the spec template to implement this behavior.  I will ask Karsten to
put a note about this in the install guide for people doing
development on RHEL 3.
Comment 3 Dennis Gregorovic 2005-03-17 11:57:09 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.